Public Member Functions | Private Attributes | List of all members
libpagemaker::PMDPage Class Reference

`#include <PMDPage.h>`

## Public Member Functions
| PMDPage ()
void | addShape (const std::shared_ptr< PMDLineSet > &shape)
unsigned | numShapes () const
std::shared_ptr< const PMDLineSet > | getShape (unsigned i) const

## Private Attributes
std::vector< std::shared_ptr< PMDLineSet > > | m_shapes

## Constructor & Destructor Documentation

## ◆ PMDPage()

libpagemaker::PMDPage::PMDPage | ( |  | ) |
| inline

## Member Function Documentation

## ◆ addShape()

void libpagemaker::PMDPage::addShape | ( | const std::shared_ptr< PMDLineSet > & | shape | ) |
| inline

## ◆ getShape()

std::shared_ptr<const PMDLineSet> libpagemaker::PMDPage::getShape | ( | unsigned | i | ) | const
| inline

Referenced by libpagemaker::PMDCollector::fillOutputShapesByPage_OneSided(), and libpagemaker::PMDCollector::fillOutputShapesByPage_TwoSided().

## ◆ numShapes()

unsigned libpagemaker::PMDPage::numShapes | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::fillOutputShapesByPage_OneSided(), and libpagemaker::PMDCollector::fillOutputShapesByPage_TwoSided().

## Member Data Documentation

## ◆ m_shapes

std::vector<std::shared_ptr<PMDLineSet> > libpagemaker::PMDPage::m_shapes
| private

The documentation for this class was generated from the following file:

- PMDPage.h